org.apache.tapestry5.corelib.pages

## Class HibernateStatistics

- java.lang.Object
- - org.apache.tapestry5.corelib.pages.HibernateStatistics

-     @UnknownActivationContextCheck(value=false)
       @WhitelistAccessOnly
      public class HibernateStatistics
      extends java.lang.Object

  Page used to see the Hibernate statistics.
  Since:
    5.1.0.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateStatistics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<org.hibernate.metadata.ClassMetadata>` | `getAllClassMetadata()`
    `org.hibernate.stat.CollectionStatistics` | `getCollectionStatistics()`
    `org.hibernate.stat.EntityStatistics` | `getEntityStatistics()`
    `org.hibernate.stat.QueryStatistics` | `getQueryStatistics()`
    `org.hibernate.stat.SecondLevelCacheStatistics` | `getSecondLevelCacheStatistics()`
    `org.hibernate.stat.Statistics` | `getStatistics()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HibernateStatistics

          public HibernateStatistics()

  - ### Method Detail

    - #### getStatistics

          public org.hibernate.stat.Statistics getStatistics()

    - #### getAllClassMetadata

          public java.util.Collection<org.hibernate.metadata.ClassMetadata> getAllClassMetadata()

    - #### getEntityStatistics

          public org.hibernate.stat.EntityStatistics getEntityStatistics()

    - #### getCollectionStatistics

          public org.hibernate.stat.CollectionStatistics getCollectionStatistics()

    - #### getQueryStatistics

          public org.hibernate.stat.QueryStatistics getQueryStatistics()

    - #### getSecondLevelCacheStatistics

          public org.hibernate.stat.SecondLevelCacheStatistics getSecondLevelCacheStatistics()

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.